> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List folders

> List all folders



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /workspaceManagement/folders/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /workspaceManagement/folders/list:
    get:
      tags:
        - Workspace Management - Folders
      summary: List folders
      description: List all folders
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  folders:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        parentUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        kind:
                          type: string
                          enum:
                            - play
                            - tool
                            - agent
                            - file
                            - mcpServer
                            - model
                            - app
                            - worker
                        workspaceUuid:
                          type: string
                        name:
                          type: string
                        emojiSlug:
                          type: string
                        isReadOnly:
                          type: boolean
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - parentUuid
                        - kind
                        - workspaceUuid
                        - name
                        - emojiSlug
                        - isReadOnly
                        - createdAt
                        - updatedAt
                        - deletedAt
                      additionalProperties: false
                required:
                  - folders
                additionalProperties: false
                title: Response body
                description: Response body schema.
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````